- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Typedefs | Functions
Multibuttonentry

## Macros
#define | elm_obj_multibuttonentry_entry_get(ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ENTRY_GET), EO_TYPECHECK(Evas_Object **, ret)
#define | elm_obj_multibuttonentry_expanded_get(ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_EXPANDED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_multibuttonentry_expanded_set(expanded) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_EXPANDED_SET), EO_TYPECHECK(Eina_Bool, expanded)
#define | elm_obj_multibuttonentry_editable_set(editable) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_EDITABLE_SET), EO_TYPECHECK(Eina_Bool, editable)
#define | elm_obj_multibuttonentry_editable_get(ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_EDITABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_multibuttonentry_item_prepend(label, func, data, ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_PREPEND), EO_TYPECHECK(const char *, label), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_multibuttonentry_item_append(label, func, data, ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_APPEND), EO_TYPECHECK(const char *, label), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_multibuttonentry_item_insert_before(before, label, func, data, ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_INSERT_BEFORE), EO_TYPECHECK(Elm_Object_Item *, before), EO_TYPECHECK(const char *, label), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_multibuttonentry_item_insert_after(after, label, func, data, ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_INSERT_AFTER), EO_TYPECHECK(Elm_Object_Item *, after), EO_TYPECHECK(const char *, label), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_multibuttonentry_items_get(ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEMS_GET), EO_TYPECHECK(const Eina_List **, ret)
#define | elm_obj_multibuttonentry_first_item_get(ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_FIRST_ITEM_GET), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_multibuttonentry_last_item_get(ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_LAST_ITEM_GET), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_multibuttonentry_selected_item_get(ret) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_SELECTED_ITEM_GET), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_multibuttonentry_clear() ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_CLEAR)
#define | elm_obj_multibuttonentry_item_filter_append(func, data) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_FILTER_APPEND), EO_TYPECHECK(Elm_Multibuttonentry_Item_Filter_Cb, func), EO_TYPECHECK(void *, data)
#define | elm_obj_multibuttonentry_item_filter_prepend(func, data) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_FILTER_PREPEND), EO_TYPECHECK(Elm_Multibuttonentry_Item_Filter_Cb, func), EO_TYPECHECK(void *, data)
#define | elm_obj_multibuttonentry_item_filter_remove(func, data) ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_FILTER_REMOVE), EO_TYPECHECK(Elm_Multibuttonentry_Item_Filter_Cb, func), EO_TYPECHECK(void *, data)

## Typedefs
typedef Eina_Bool(* | Elm_Multibuttonentry_Item_Filter_Cb )(Evas_Object *obj, const char *item_label, void *item_data, void *data)
| Callback to be invoked when an item is added to the multibuttonentry. More...

## Functions
Evas_Object * | elm_multibuttonentry_add (Evas_Object *parent)
| Add a new multibuttonentry to the parent. More...
Evas_Object * | elm_multibuttonentry_entry_get (const Evas_Object *obj)
| Get the entry of the multibuttonentry object. More...
Eina_Bool | elm_multibuttonentry_expanded_get (const Evas_Object *obj)
| Get the value of expanded state. More...
void | elm_multibuttonentry_expanded_set (Evas_Object *obj, Eina_Bool expanded)
| Set/Unset the multibuttonentry to expanded state. More...
Elm_Object_Item * | elm_multibuttonentry_item_prepend (Evas_Object *obj, const char *label, Evas_Smart_Cb func, void *data)
| Prepend a new item to the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_item_append (Evas_Object *obj, const char *label, Evas_Smart_Cb func, void *data)
| Append a new item to the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_item_insert_before (Evas_Object *obj, Elm_Object_Item *before, const char *label, Evas_Smart_Cb func, void *data)
| Add a new item to the multibuttonentry before the indicated object. More...
Elm_Object_Item * | elm_multibuttonentry_item_insert_after (Evas_Object *obj, Elm_Object_Item *after, const char *label, Evas_Smart_Cb func, void *data)
| Add a new item to the multibuttonentry after the indicated object. More...
const Eina_List * | elm_multibuttonentry_items_get (const Evas_Object *obj)
| Get a list of items in the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_first_item_get (const Evas_Object *obj)
| Get the first item in the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_last_item_get (const Evas_Object *obj)
| Get the last item in the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_selected_item_get (const Evas_Object *obj)
| Get the selected item in the multibuttonentry. More...
void | elm_multibuttonentry_item_selected_set (Elm_Object_Item *it, Eina_Bool selected)
| Set the selected state of an item. More...
Eina_Bool | elm_multibuttonentry_item_selected_get (const Elm_Object_Item *it)
| Get the selected state of an item. More...
void | elm_multibuttonentry_clear (Evas_Object *obj)
| Remove all items in the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_item_prev_get (const Elm_Object_Item *it)
| Get the previous item in the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_item_next_get (const Elm_Object_Item *it)
| Get the next item in the multibuttonentry. More...
void | elm_multibuttonentry_item_filter_append (Evas_Object *obj, Elm_Multibuttonentry_Item_Filter_Cb func, void *data)
| Append an item filter function for text inserted in the Multibuttonentry. More...
void | elm_multibuttonentry_item_filter_prepend (Evas_Object *obj, Elm_Multibuttonentry_Item_Filter_Cb func, void *data)
| Prepend a filter function for text inserted in the Multibuttonentry. More...
void | elm_multibuttonentry_item_filter_remove (Evas_Object *obj, Elm_Multibuttonentry_Item_Filter_Cb func, void *data)
| Remove a filter from the list. More...
void | elm_multibuttonentry_editable_set (Evas_Object *obj, Eina_Bool editable)
| Sets if the multibuttonentry is to be editable or not. More...
Eina_Bool | elm_multibuttonentry_editable_get (const Evas_Object *obj)
| Get whether the multibuttonentry is editable or not. More...

## Detailed Description

A multi-button entry is a widget letting an user enter text and each chunk of text managed as a set of buttons. Each text button is inserted by pressing the "return" key. If there is no space in the current row, a new button is added to the next row. When a text button is pressed, it will become focused. Backspace removes the focus. When the multi-button entry loses focus, items longer than one line are shrunk to one line.

The typical use case of multi-button entry is composing emails/messages to a group of addresses, each of which is an item that can be clicked for further actions.

This widget inherits from the Layout one, so that all the functions acting on it also work for multi-button entry objects (

Since
  1.8).

This widget emits the following signals, besides the ones sent from Layout:

- `"item,selected"` - this is called when an item is selected by api, user interaction, and etc. this is also called when a user press back space while cursor is on the first field of entry.
- `"item,added"` - when a new multi-button entry item is added.
- `"item,deleted"` - when a multi-button entry item is deleted.
- `"item,clicked"` - this is called when an item is clicked by user interaction. Both "item,selected" and "item,clicked" are needed.
- `"clicked"` - when multi-button entry is clicked.
- `"focused"` - when multi-button entry is focused.
- `"unfocused"` - when multi-button entry is unfocused.
- `"expanded"` - when multi-button entry is expanded.
- `"contracted"` - when multi-button entry is contracted.
- `"expand,state,changed"` - when shrink mode state of multi-button entry is changed.

Default text parts of the multi-button entry widget that you can use are:

- "default" - A label of the multi-button entry

Default text parts of multi-button entry items that you can use are:

- "default" - A label of the multi-button entry item

Supported elm_object_item common APIs.

- elm_object_item_del
- elm_object_item_part_text_set
- elm_object_item_part_text_get

## Macro Definition Documentation

#define elm_obj_multibuttonentry_clear | ( |  | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_CLEAR)

Since
  1.8

Remove all items in the multibuttonentry.

See Also
  elm_multibuttonentry_clear

Referenced by elm_multibuttonentry_clear().

#define elm_obj_multibuttonentry_editable_get | ( |  | ret | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_EDITABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the multibuttonentry is editable or not.

Parameters

  [out] | ret |

See Also
  elm_multibuttonentry_editable_get

Referenced by elm_multibuttonentry_editable_get().

#define elm_obj_multibuttonentry_editable_set | ( |  | editable | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_EDITABLE_SET), EO_TYPECHECK(Eina_Bool, editable)

Since
  1.8

Sets if the multibuttonentry is to be editable or not.

Parameters

  [in] | editable |

See Also
  elm_multibuttonentry_editable_set

Referenced by elm_multibuttonentry_editable_set().

#define elm_obj_multibuttonentry_entry_get | ( |  | ret | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ENTRY_GET), EO_TYPECHECK(Evas_Object **, ret)

Since
  1.8

Get the entry of the multibuttonentry object

Parameters

  [out] | ret |

See Also
  elm_multibuttonentry_entry_get

Referenced by elm_multibuttonentry_entry_get().

#define elm_obj_multibuttonentry_expanded_get | ( |  | ret | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_EXPANDED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the value of expanded state.

Parameters

  [out] | ret |

See Also
  elm_multibuttonentry_expanded_get

Referenced by elm_multibuttonentry_expanded_get().

#define elm_obj_multibuttonentry_expanded_set | ( |  | expanded | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_EXPANDED_SET), EO_TYPECHECK(Eina_Bool, expanded)

Since
  1.8

Set/Unset the multibuttonentry to expanded state.

Parameters

  [in] | expanded |

See Also
  elm_multibuttonentry_expanded_set

Referenced by elm_multibuttonentry_expanded_set().

#define elm_obj_multibuttonentry_first_item_get | ( |  | ret | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_FIRST_ITEM_GET), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Get the first item in the multibuttonentry

Parameters

  [out] | ret |

See Also
  elm_multibuttonentry_first_item_get

Referenced by elm_multibuttonentry_first_item_get().

#define elm_obj_multibuttonentry_item_append | ( |  | label,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_APPEND), EO_TYPECHECK(const char *, label), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Append a new item to the multibuttonentry

Parameters

  [in] | label |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  elm_multibuttonentry_item_append

Referenced by elm_multibuttonentry_item_append().

#define elm_obj_multibuttonentry_item_filter_append | ( |  | func,
|  |  | data
| ) |  | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_FILTER_APPEND), EO_TYPECHECK(Elm_Multibuttonentry_Item_Filter_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

Append an item filter function for text inserted in the Multibuttonentry

Parameters

  [in] | func |
  [in] | data |

See Also
  elm_multibuttonentry_item_filter_append

Referenced by elm_multibuttonentry_item_filter_append().

#define elm_obj_multibuttonentry_item_filter_prepend | ( |  | func,
|  |  | data
| ) |  | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_FILTER_PREPEND), EO_TYPECHECK(Elm_Multibuttonentry_Item_Filter_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

Prepend a filter function for text inserted in the Multibuttonentry

Parameters

  [in] | func |
  [in] | data |

See Also
  elm_multibuttonentry_item_filter_prepend

Referenced by elm_multibuttonentry_item_filter_prepend().

#define elm_obj_multibuttonentry_item_filter_remove | ( |  | func,
|  |  | data
| ) |  | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_FILTER_REMOVE), EO_TYPECHECK(Elm_Multibuttonentry_Item_Filter_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

Remove a filter from the list

Parameters

  [in] | func |
  [in] | data |

See Also
  elm_multibuttonentry_item_filter_remove

Referenced by elm_multibuttonentry_item_filter_remove().

#define elm_obj_multibuttonentry_item_insert_after | ( |  | after,
|  |  | label,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_INSERT_AFTER), EO_TYPECHECK(Elm_Object_Item *, after), EO_TYPECHECK(const char *, label), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Add a new item to the multibuttonentry after the indicated object

Parameters

  [in] | after |
  [in] | label |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  elm_multibuttonentry_item_insert_after

Referenced by elm_multibuttonentry_item_insert_after().

#define elm_obj_multibuttonentry_item_insert_before | ( |  | before,
|  |  | label,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_INSERT_BEFORE), EO_TYPECHECK(Elm_Object_Item *, before), EO_TYPECHECK(const char *, label), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Add a new item to the multibuttonentry before the indicated object

Parameters

  [in] | before |
  [in] | label |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  elm_multibuttonentry_item_insert_before

Referenced by elm_multibuttonentry_item_insert_before().

#define elm_obj_multibuttonentry_item_prepend | ( |  | label,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEM_PREPEND), EO_TYPECHECK(const char *, label), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Prepend a new item to the multibuttonentry

Parameters

  [in] | label |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  elm_multibuttonentry_item_prepend

Referenced by elm_multibuttonentry_item_prepend().

#define elm_obj_multibuttonentry_items_get | ( |  | ret | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_ITEMS_GET), EO_TYPECHECK(const Eina_List **, ret)

Since
  1.8

Get a list of items in the multibuttonentry

Parameters

  [out] | ret |

See Also
  elm_multibuttonentry_items_get

Referenced by elm_multibuttonentry_items_get().

#define elm_obj_multibuttonentry_last_item_get | ( |  | ret | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_LAST_ITEM_GET), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Get the last item in the multibuttonentry

Parameters

  [out] | ret |

See Also
  elm_multibuttonentry_last_item_get

Referenced by elm_multibuttonentry_last_item_get().

#define elm_obj_multibuttonentry_selected_item_get | ( |  | ret | ) | ELM_OBJ_MULTIBUTTONENTRY_ID(ELM_OBJ_MULTIBUTTONENTRY_SUB_ID_SELECTED_ITEM_GET), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Get the selected item in the multibuttonentry

Parameters

  [out] | ret |

See Also
  elm_multibuttonentry_selected_item_get

Referenced by elm_multibuttonentry_selected_item_get().

## Typedef Documentation

typedef Eina_Bool(* Elm_Multibuttonentry_Item_Filter_Cb)(Evas_Object *obj, const char *item_label, void *item_data, void *data)

Callback to be invoked when an item is added to the multibuttonentry.

Parameters

  obj | The parent object
  item_label | The label corresponding to the added item.
  item_data | data specific to this item.
  data | data specific to the multibuttonentry.

Returns
  EINA_TRUE EINA_FALSE otherwise.

## Function Documentation

Evas_Object* elm_multibuttonentry_add | ( | Evas_Object * | parent | ) |

Add a new multibuttonentry to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

void elm_multibuttonentry_clear | ( | Evas_Object * | obj | ) |

Remove all items in the multibuttonentry.

Parameters

  obj | The multibuttonentry object

References elm_obj_multibuttonentry_clear.

Eina_Bool elm_multibuttonentry_editable_get | ( | const Evas_Object * | obj | ) |

Get whether the multibuttonentry is editable or not.

Parameters

  obj | The multibuttonentry object

Returns
  EINA_TRUE if the multibuttonentry is editable by the user. EINA_FALSE if not.

Since
  1.7

References elm_obj_multibuttonentry_editable_get.

void elm_multibuttonentry_editable_set | ( | Evas_Object * | obj,
|  | Eina_Bool | editable
| ) |  |

Sets if the multibuttonentry is to be editable or not.

Parameters

  obj | The multibuttonentry object
  editable | If EINA_TRUE, user can add/delete item in multibuttonentry, if not, the multibuttonentry is non-editable.

Since
  1.7

References elm_obj_multibuttonentry_editable_set.

Evas_Object* elm_multibuttonentry_entry_get | ( | const Evas_Object * | obj | ) |

Get the entry of the multibuttonentry object.

Parameters

  obj | The multibuttonentry object

Returns
  The entry object, or NULL if none

References elm_obj_multibuttonentry_entry_get.

Eina_Bool elm_multibuttonentry_expanded_get | ( | const Evas_Object * | obj | ) |

Get the value of expanded state.

In expanded state, the complete entry will be displayed. Otherwise, only single line of the entry will be displayed.

Parameters

  obj | The multibuttonentry object

Returns
  EINA_TRUE if the widget is in expanded state. EINA_FALSE if not.

References elm_obj_multibuttonentry_expanded_get.

void elm_multibuttonentry_expanded_set | ( | Evas_Object * | obj,
|  | Eina_Bool | expanded
| ) |  |

Set/Unset the multibuttonentry to expanded state.

In expanded state, the complete entry will be displayed. Otherwise, only single line of the entry will be displayed.

Parameters

  obj | The multibuttonentry object
  expanded | the value of expanded state. Set this to EINA_TRUE for expanded state. Set this to EINA_FALSE for single line state.

References elm_obj_multibuttonentry_expanded_set.

Elm_Object_Item* elm_multibuttonentry_first_item_get | ( | const Evas_Object * | obj | ) |

Get the first item in the multibuttonentry.

Parameters

  obj | The multibuttonentry object

Returns
  The first item, or NULL if none

References elm_obj_multibuttonentry_first_item_get.

Elm_Object_Item* elm_multibuttonentry_item_append | ( | Evas_Object * | obj,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Append a new item to the multibuttonentry.

Parameters

  obj | The multibuttonentry object
  label | The label of new item
  func | The callback function to be invoked when this item is pressed.
  data | The pointer to the data to be attached

Returns
  A handle to the item added or NULL if not possible

See Also
  Use elm_object_item_del() to delete the item.

References elm_obj_multibuttonentry_item_append.

void elm_multibuttonentry_item_filter_append | ( | Evas_Object * | obj,
|  | Elm_Multibuttonentry_Item_Filter_Cb | func,
|  | void * | data
| ) |  |

Append an item filter function for text inserted in the Multibuttonentry.

Append the given callback to the list. This functions will be called whenever any text is inserted into the Multibuttonentry, with the text to be inserted as a parameter. The callback function is free to alter the text in any way it wants, but it must remember to free the given pointer and update it. If the new text is to be discarded, the function can free it and set it text parameter to NULL. This will also prevent any following filters from being called.

Parameters

  obj | The multibuttonentry object
  func | The function to use as item filter
  data | User data to pass to `func`

References elm_obj_multibuttonentry_item_filter_append.

void elm_multibuttonentry_item_filter_prepend | ( | Evas_Object * | obj,
|  | Elm_Multibuttonentry_Item_Filter_Cb | func,
|  | void * | data
| ) |  |

Prepend a filter function for text inserted in the Multibuttonentry.

Prepend the given callback to the list. See elm_multibuttonentry_item_filter_append() for more information

Parameters

  obj | The multibuttonentry object
  func | The function to use as text filter
  data | User data to pass to `func`

References elm_obj_multibuttonentry_item_filter_prepend.

void elm_multibuttonentry_item_filter_remove | ( | Evas_Object * | obj,
|  | Elm_Multibuttonentry_Item_Filter_Cb | func,
|  | void * | data
| ) |  |

Remove a filter from the list.

Removes the given callback from the filter list. See elm_multibuttonentry_item_filter_append() for more information.

Parameters

  obj | The multibuttonentry object
  func | The filter function to remove
  data | The user data passed when adding the function

References elm_obj_multibuttonentry_item_filter_remove.

Elm_Object_Item* elm_multibuttonentry_item_insert_after | ( | Evas_Object * | obj,
|  | Elm_Object_Item * | after,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Add a new item to the multibuttonentry after the indicated object.

Parameters

  obj | The multibuttonentry object
  after | The item after which to add it
  label | The label of new item
  func | The callback function to be invoked when this item is pressed.
  data | The pointer to the data to be attached

Returns
  A handle to the item added or NULL if not possible

See Also
  Use elm_object_item_del() to delete the item.

References elm_obj_multibuttonentry_item_insert_after.

Elm_Object_Item* elm_multibuttonentry_item_insert_before | ( | Evas_Object * | obj,
|  | Elm_Object_Item * | before,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Add a new item to the multibuttonentry before the indicated object.

reference.

Parameters

  obj | The multibuttonentry object
  before | The item before which to add it
  label | The label of new item
  func | The callback function to be invoked when this item is pressed.
  data | The pointer to the data to be attached

Returns
  A handle to the item added or NULL if not possible

See Also
  Use elm_object_item_del() to delete the item.

References elm_obj_multibuttonentry_item_insert_before.

Elm_Object_Item* elm_multibuttonentry_item_next_get | ( | const Elm_Object_Item * | it | ) |

Get the next item in the multibuttonentry.

Parameters

  it | The item

Returns
  The item after the item `it`

Elm_Object_Item* elm_multibuttonentry_item_prepend | ( | Evas_Object * | obj,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Prepend a new item to the multibuttonentry.

Parameters

  obj | The multibuttonentry object
  label | The label of new item
  func | The callback function to be invoked when this item is pressed.
  data | The pointer to the data to be attached

Returns
  A handle to the item added or NULL if not possible

See Also
  Use elm_object_item_del() to delete the item.

References elm_obj_multibuttonentry_item_prepend.

Elm_Object_Item* elm_multibuttonentry_item_prev_get | ( | const Elm_Object_Item * | it | ) |

Get the previous item in the multibuttonentry.

Parameters

  it | The item

Returns
  The item before the item `it`

Eina_Bool elm_multibuttonentry_item_selected_get | ( | const Elm_Object_Item * | it | ) |

Get the selected state of an item.

Parameters

  it | The item

Returns
  EINA_TRUE if the item is selected, EINA_FALSE otherwise.

void elm_multibuttonentry_item_selected_set | ( | Elm_Object_Item * | it,
|  | Eina_Bool | selected
| ) |  |

Set the selected state of an item.

Parameters

  it | The item
  selected | if it's EINA_TRUE, select the item otherwise, unselect the item

const Eina_List* elm_multibuttonentry_items_get | ( | const Evas_Object * | obj | ) |

Get a list of items in the multibuttonentry.

Parameters

  obj | The multibuttonentry object

Returns
  The list of items, or NULL if none

References elm_obj_multibuttonentry_items_get.

Elm_Object_Item* elm_multibuttonentry_last_item_get | ( | const Evas_Object * | obj | ) |

Get the last item in the multibuttonentry.

Parameters

  obj | The multibuttonentry object

Returns
  The last item, or NULL if none

References elm_obj_multibuttonentry_last_item_get.

Elm_Object_Item* elm_multibuttonentry_selected_item_get | ( | const Evas_Object * | obj | ) |

Get the selected item in the multibuttonentry.

Parameters

  obj | The multibuttonentry object

Returns
  The selected item, or NULL if none

References elm_obj_multibuttonentry_selected_item_get.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:12